PaidGoods
API referenceResellers

Reseller tiers

GET
/v1/stores/{storeId}/resellers/tiers

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/resellers/tiers"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "discountBp": -9007199254740991,      "isDefault": true,      "isPublic": true,      "sortOrder": -9007199254740991,      "minSpentMinor": -9007199254740991,      "minOrders": -9007199254740991,      "overrides": [        {          "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",          "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf",          "productName": "string",          "variantName": "string",          "discountBp": -9007199254740991        }      ],      "members": -9007199254740991,      "purchase": {        "enabled": true,        "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",        "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf",        "durationDays": -9007199254740991      }    }  ],  "max": -9007199254740991}